Query Webhooks
curl --request GET \
--url https://api.bolt.com/v1/webhooks \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bolt.com/v1/webhooks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.bolt.com/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhooks": [
{
"created_at": 1485997169003,
"url": "https://eva-nerv.shop.com/path/to/hook",
"webhook_id": "wh_za7VbYcSQU2zRgGQXQAm-g",
"events": [
"pending"
]
}
]
}{
"errors": [
{
"code": 2001005,
"message": "The input is missing a required parameter."
}
],
"result": {
"success": false
}
}{
"errors": [
{
"code": 2001005,
"message": "The input is missing a required parameter."
}
],
"result": {
"success": false
}
}{
"errors": [
{
"code": 2001005,
"message": "The input is missing a required parameter."
}
],
"result": {
"success": false
}
}Webhooks
Query Webhooks
Find webhook configurations belonging to a merchant division. Results are limited to only show webhooks authorized by the X-API-Key.
GET
/
v1
/
webhooks
Query Webhooks
Authorizations
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
Query Parameters
The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). You can view and switch between these divisions from the Bolt Merchant Dashboard.
Response
Success
Show child attributes
Show child attributes
⌘I